#!/bin/bash
# called from iservchk if old config exists
OLDCFG=/old/opt/iserv/idesk/inc/error-reporter/config.inc.rpmsave
NEWCFG=/usr/share/iserv/www/inc/mod_error-reporter/config.inc

touch $NEWCFG || (echo "FATAL: Could not create $NEWCFG!" && exit 255);
chmod u+wr $NEWCFG || (echo "FATAL: Could not chmod +uwr $NEWCFG!" && exit 255);
chown www-data $NEWCFG || (echo "FATAL: Could not chown www-data $NEWCFG!" && exit 255);

# filter unused options
cat $OLDCFG|grep -v setAdminGroups|grep -v setLog|grep -v @package > $NEWCFG

# convert admin groups to group privileges
ADMGROUPS=$(grep setAdminGroups $OLDCFG|sed -e 's/,//g' -e "s/.*array[^(]*(\([^)]*\)).*/\1/" -e "s/[\"\']/ /g")
for i in $ADMGROUPS; do
  psql -c "INSERT INTO privileges_assign (act,privilege) VALUES('$i','mod_errorreporter_admin');" > /dev/null || exit 1;
  echo "added adminship for group '$i'"
done;

mv $OLDCFG $OLDCFG.converted
[ -e $OLDCFG ] && echo "Done. Please remove the old config file ($OLDCFG) by hand!" && exit 255;
